Subject: 23.0.92; Emacs picks the italic version of a font when I choose it from ns-popup-font-panel

From: James Felix Black <[email-masked]>
Date: Fri, 17 Apr 2009 16:18:02 -0700

I am trying to select the 'Consolas' font, which is installed on my
system.  Recent Emacs CVS builds -- as of Monday or so this week --
choose the italic version of 'Consolas' when I choose it from the font
panel.  In the font panel, I have chosen the 'Regular' Typeface of the
'Consolas' family.  Nothing I do seems to be able to fix this
regression.

In GNU Emacs 23.0.92.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
  of 2009-04-17 on otto.apple.com
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--without-x' '--with-ns''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   global-auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <menu-bar> <options> <menu-set-font> <help-echo>
<help-echo> <ns-change-font> <help-echo> <down-mouse-1>
<mouse-1> <menu-bar> <help-menu> <send-emacs-bug-r
eport>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
mouse-select-font: Wrong type argument: stringp, nil

James Felix Black
Senior Video Software Engineer
iTunes Store
[email-masked]
408/974-1885